<?xml version="1.0" encoding="UTF-8"?>
<dataSource name="Restaurant@localhost">
  <database-model serializer="dbm" dbms="POSTGRES" family-id="POSTGRES" format-version="4.18">
    <root id="1">
      <ServerVersion>14.1</ServerVersion>
      <StartupTime>1640675125</StartupTime>
    </root>
    <database id="2" parent="1" name="Restaurant">
      <ObjectId>24590</ObjectId>
      <Comment>база данных ресторана</Comment>
      <Owner>postgres</Owner>
      <IntrospectionStateNumber>1151</IntrospectionStateNumber>
      <Current>1</Current>
      <Relations>sequence|table|24629|24619|4
sequence|table|24700|24694|7
sequence|table|24711|24712|1
</Relations>
    </database>
    <database id="3" parent="1" name="postgres">
      <ObjectId>13754</ObjectId>
      <Comment>default administrative connection database</Comment>
      <Owner>postgres</Owner>
    </database>
    <database id="4" parent="1" name="usersBase">
      <ObjectId>24576</ObjectId>
      <Comment>usersList</Comment>
      <Owner>postgres</Owner>
    </database>
    <role id="5" parent="1" name="pg_database_owner">
      <ObjectId>6171</ObjectId>
    </role>
    <role id="6" parent="1" name="pg_execute_server_program">
      <ObjectId>4571</ObjectId>
    </role>
    <role id="7" parent="1" name="pg_monitor">
      <ObjectId>3373</ObjectId>
    </role>
    <role id="8" parent="1" name="pg_read_all_data">
      <ObjectId>6181</ObjectId>
    </role>
    <role id="9" parent="1" name="pg_read_all_settings">
      <ObjectId>3374</ObjectId>
    </role>
    <role id="10" parent="1" name="pg_read_all_stats">
      <ObjectId>3375</ObjectId>
    </role>
    <role id="11" parent="1" name="pg_read_server_files">
      <ObjectId>4569</ObjectId>
    </role>
    <role id="12" parent="1" name="pg_signal_backend">
      <ObjectId>4200</ObjectId>
    </role>
    <role id="13" parent="1" name="pg_stat_scan_tables">
      <ObjectId>3377</ObjectId>
    </role>
    <role id="14" parent="1" name="pg_write_all_data">
      <ObjectId>6182</ObjectId>
    </role>
    <role id="15" parent="1" name="pg_write_server_files">
      <ObjectId>4570</ObjectId>
    </role>
    <role id="16" parent="1" name="postgres">
      <ObjectId>10</ObjectId>
      <SuperRole>1</SuperRole>
      <CreateDb>1</CreateDb>
      <CreateRole>1</CreateRole>
      <CanLogin>1</CanLogin>
      <Replication>1</Replication>
      <BypassRls>1</BypassRls>
    </role>
    <role id="17" parent="1" name="ppp">
      <ObjectId>24584</ObjectId>
    </role>
    <schema id="18" parent="2" name="information_schema">
      <ObjectId>13388</ObjectId>
      <StateNumber>533</StateNumber>
      <Owner>postgres</Owner>
    </schema>
    <schema id="19" parent="2" name="pg_catalog">
      <ObjectId>11</ObjectId>
      <Comment>system catalog schema</Comment>
      <StateNumber>526</StateNumber>
      <Owner>postgres</Owner>
    </schema>
    <schema id="20" parent="2" name="public">
      <ObjectId>2200</ObjectId>
      <Comment>standard public schema</Comment>
      <StateNumber>527</StateNumber>
      <Owner>postgres</Owner>
      <IntrospectionStateNumber>1152</IntrospectionStateNumber>
      <Current>1</Current>
    </schema>
    <access-method id="21" parent="2" name="heap">
      <ObjectId>2</ObjectId>
      <Comment>heap table access method</Comment>
      <StateNumber>1</StateNumber>
      <Handler>pg_catalog.heap_tableam_handler</Handler>
      <HandlerId>3</HandlerId>
    </access-method>
    <access-method id="22" parent="2" name="btree">
      <ObjectId>403</ObjectId>
      <Comment>b-tree index access method</Comment>
      <StateNumber>1</StateNumber>
      <Handler>pg_catalog.bthandler</Handler>
      <HandlerId>330</HandlerId>
      <Type>index</Type>
    </access-method>
    <access-method id="23" parent="2" name="hash">
      <ObjectId>405</ObjectId>
      <Comment>hash index access method</Comment>
      <StateNumber>1</StateNumber>
      <Handler>pg_catalog.hashhandler</Handler>
      <HandlerId>331</HandlerId>
      <Type>index</Type>
    </access-method>
    <access-method id="24" parent="2" name="gist">
      <ObjectId>783</ObjectId>
      <Comment>GiST index access method</Comment>
      <StateNumber>1</StateNumber>
      <Handler>pg_catalog.gisthandler</Handler>
      <HandlerId>332</HandlerId>
      <Type>index</Type>
    </access-method>
    <access-method id="25" parent="2" name="gin">
      <ObjectId>2742</ObjectId>
      <Comment>GIN index access method</Comment>
      <StateNumber>1</StateNumber>
      <Handler>pg_catalog.ginhandler</Handler>
      <HandlerId>333</HandlerId>
      <Type>index</Type>
    </access-method>
    <access-method id="26" parent="2" name="spgist">
      <ObjectId>4000</ObjectId>
      <Comment>SP-GiST index access method</Comment>
      <StateNumber>1</StateNumber>
      <Handler>pg_catalog.spghandler</Handler>
      <HandlerId>334</HandlerId>
      <Type>index</Type>
    </access-method>
    <access-method id="27" parent="2" name="brin">
      <ObjectId>3580</ObjectId>
      <Comment>block range index (BRIN) access method</Comment>
      <StateNumber>1</StateNumber>
      <Handler>pg_catalog.brinhandler</Handler>
      <HandlerId>335</HandlerId>
      <Type>index</Type>
    </access-method>
    <extension id="28" parent="2" name="plpgsql">
      <ObjectId>13740</ObjectId>
      <Comment>PL/pgSQL procedural language</Comment>
      <StateNumber>687</StateNumber>
      <Version>1.0</Version>
      <SchemaName>pg_catalog</SchemaName>
      <SchemaId>11</SchemaId>
    </extension>
    <language id="29" parent="2" name="c"/>
    <language id="30" parent="2" name="internal"/>
    <language id="31" parent="2" name="plpgsql"/>
    <language id="32" parent="2" name="sql"/>
    <sequence id="33" parent="20" name="allUsers_id_seq">
      <ObjectId>24629</ObjectId>
      <StateNumber>831</StateNumber>
      <Owner>postgres</Owner>
      <SequenceIdentity>1</SequenceIdentity>
      <CacheSize>1</CacheSize>
      <DataType>integer|0s</DataType>
    </sequence>
    <sequence id="34" parent="20" name="alldish_id_seq">
      <ObjectId>24700</ObjectId>
      <StateNumber>971</StateNumber>
      <Owner>postgres</Owner>
      <SequenceIdentity>1</SequenceIdentity>
      <CacheSize>1</CacheSize>
      <DataType>integer|0s</DataType>
    </sequence>
    <sequence id="35" parent="20" name="orders_id_seq">
      <ObjectId>24711</ObjectId>
      <StateNumber>1005</StateNumber>
      <Owner>postgres</Owner>
      <SequenceIdentity>1</SequenceIdentity>
      <CacheSize>1</CacheSize>
      <DataType>integer|0s</DataType>
    </sequence>
    <table id="36" parent="20" name="alldish">
      <ObjectId>24694</ObjectId>
      <Owner>postgres</Owner>
      <StateNumber>971</StateNumber>
    </table>
    <table id="37" parent="20" name="allusers">
      <ObjectId>24619</ObjectId>
      <Owner>postgres</Owner>
      <StateNumber>1150</StateNumber>
    </table>
    <table id="38" parent="20" name="exemp">
      <ObjectId>24641</ObjectId>
      <Owner>postgres</Owner>
      <StateNumber>852</StateNumber>
    </table>
    <table id="39" parent="20" name="orders">
      <ObjectId>24712</ObjectId>
      <Owner>postgres</Owner>
      <StateNumber>1097</StateNumber>
    </table>
    <column id="40" parent="36" name="dish_name">
      <Position>1</Position>
      <DataType>varchar|0s</DataType>
      <NotNull>1</NotNull>
      <StateNumber>978</StateNumber>
      <TypeId>1043</TypeId>
    </column>
    <column id="41" parent="36" name="dish_cooking_time">
      <Position>2</Position>
      <DataType>integer|0s</DataType>
      <StateNumber>981</StateNumber>
      <TypeId>23</TypeId>
    </column>
    <column id="42" parent="36" name="dish_image_path">
      <Position>3</Position>
      <DataType>varchar|0s</DataType>
      <StateNumber>984</StateNumber>
      <TypeId>1043</TypeId>
    </column>
    <column id="43" parent="36" name="dish_type">
      <Position>4</Position>
      <DataType>varchar|0s</DataType>
      <NotNull>1</NotNull>
      <StateNumber>988</StateNumber>
      <TypeId>1043</TypeId>
    </column>
    <column id="44" parent="36" name="active">
      <Position>5</Position>
      <DataType>boolean|0s</DataType>
      <StateNumber>966</StateNumber>
      <TypeId>16</TypeId>
    </column>
    <column id="45" parent="36" name="price">
      <Position>6</Position>
      <DataType>integer|0s</DataType>
      <StateNumber>966</StateNumber>
      <TypeId>23</TypeId>
    </column>
    <column id="46" parent="36" name="id">
      <Position>7</Position>
      <DataType>integer|0s</DataType>
      <NotNull>1</NotNull>
      <StateNumber>971</StateNumber>
      <DefaultExpression>nextval(&apos;alldish_id_seq&apos;::regclass)</DefaultExpression>
      <TypeId>23</TypeId>
    </column>
    <index id="47" parent="36" name="alldish_dishname_uindex">
      <ObjectId>24699</ObjectId>
      <StateNumber>971</StateNumber>
      <ColNames>dish_name</ColNames>
      <Unique>1</Unique>
    </index>
    <index id="48" parent="36" name="alldish_id_uindex">
      <ObjectId>24708</ObjectId>
      <StateNumber>972</StateNumber>
      <ColNames>id</ColNames>
      <Unique>1</Unique>
    </index>
    <index id="49" parent="36" name="alldish_pk">
      <ObjectId>24709</ObjectId>
      <StateNumber>973</StateNumber>
      <ColNames>id</ColNames>
      <Unique>1</Unique>
      <Primary>1</Primary>
    </index>
    <key id="50" parent="36" name="alldish_pk">
      <ObjectId>24710</ObjectId>
      <StateNumber>973</StateNumber>
      <ColNames>id</ColNames>
      <Primary>1</Primary>
      <UnderlyingIndexName>alldish_pk</UnderlyingIndexName>
    </key>
    <column id="51" parent="37" name="name">
      <Position>1</Position>
      <DataType>varchar|0s</DataType>
      <NotNull>1</NotNull>
      <StateNumber>886</StateNumber>
      <TypeId>1043</TypeId>
    </column>
    <column id="52" parent="37" name="password">
      <Position>2</Position>
      <DataType>varchar|0s</DataType>
      <NotNull>1</NotNull>
      <StateNumber>920</StateNumber>
      <TypeId>1043</TypeId>
    </column>
    <column id="53" parent="37" name="role">
      <Position>3</Position>
      <DataType>varchar|0s</DataType>
      <NotNull>1</NotNull>
      <StateNumber>892</StateNumber>
      <TypeId>1043</TypeId>
    </column>
    <column id="54" parent="37" name="id">
      <Position>4</Position>
      <DataType>integer|0s</DataType>
      <NotNull>1</NotNull>
      <StateNumber>831</StateNumber>
      <DefaultExpression>nextval(&apos;&quot;allUsers_id_seq&quot;&apos;::regclass)</DefaultExpression>
      <TypeId>23</TypeId>
    </column>
    <column id="55" parent="37" name="is_active">
      <Position>5</Position>
      <DataType>boolean|0s</DataType>
      <StateNumber>944</StateNumber>
      <TypeId>16</TypeId>
    </column>
    <column id="56" parent="37" name="cook_id">
      <Position>6</Position>
      <DataType>integer|0s</DataType>
      <StateNumber>945</StateNumber>
      <TypeId>23</TypeId>
    </column>
    <column id="57" parent="37" name="currentorder">
      <Position>7</Position>
      <DataType>integer|0s</DataType>
      <StateNumber>1150</StateNumber>
      <TypeId>23</TypeId>
    </column>
    <index id="58" parent="37" name="allusers_name_uindex">
      <ObjectId>24658</ObjectId>
      <StateNumber>892</StateNumber>
      <ColNames>name</ColNames>
      <Unique>1</Unique>
    </index>
    <index id="59" parent="37" name="allusers_id_uindex">
      <ObjectId>24635</ObjectId>
      <StateNumber>892</StateNumber>
      <ColNames>id</ColNames>
      <Unique>1</Unique>
    </index>
    <index id="60" parent="37" name="allusers_pk">
      <ObjectId>24636</ObjectId>
      <StateNumber>892</StateNumber>
      <ColNames>id</ColNames>
      <Unique>1</Unique>
      <Primary>1</Primary>
    </index>
    <key id="61" parent="37" name="allusers_pk">
      <ObjectId>24637</ObjectId>
      <StateNumber>834</StateNumber>
      <ColNames>id</ColNames>
      <Primary>1</Primary>
      <UnderlyingIndexName>allusers_pk</UnderlyingIndexName>
    </key>
    <column id="62" parent="38" name="id">
      <Position>1</Position>
      <DataType>integer|0s</DataType>
      <StateNumber>852</StateNumber>
      <TypeId>23</TypeId>
    </column>
    <column id="63" parent="38" name="username">
      <Position>2</Position>
      <DataType>integer|0s</DataType>
      <StateNumber>852</StateNumber>
      <TypeId>23</TypeId>
    </column>
    <column id="64" parent="38" name="parole">
      <Position>3</Position>
      <DataType>integer|0s</DataType>
      <StateNumber>852</StateNumber>
      <TypeId>23</TypeId>
    </column>
    <column id="65" parent="38" name="role">
      <Position>4</Position>
      <DataType>integer|0s</DataType>
      <StateNumber>852</StateNumber>
      <TypeId>23</TypeId>
    </column>
    <column id="66" parent="39" name="id">
      <Position>1</Position>
      <DataType>integer|0s</DataType>
      <NotNull>1</NotNull>
      <StateNumber>1005</StateNumber>
      <DefaultExpression>nextval(&apos;orders_id_seq&apos;::regclass)</DefaultExpression>
      <TypeId>23</TypeId>
    </column>
    <column id="67" parent="39" name="user_id">
      <Position>2</Position>
      <DataType>integer|0s</DataType>
      <StateNumber>1010</StateNumber>
      <TypeId>23</TypeId>
    </column>
    <column id="68" parent="39" name="table_number">
      <Position>3</Position>
      <DataType>integer|0s</DataType>
      <StateNumber>1011</StateNumber>
      <TypeId>23</TypeId>
    </column>
    <column id="69" parent="39" name="create_time">
      <Position>4</Position>
      <DataType>timestamp with time zone|0s</DataType>
      <StateNumber>1046</StateNumber>
      <TypeId>1184</TypeId>
    </column>
    <column id="70" parent="39" name="start_cooking_time">
      <Position>5</Position>
      <DataType>timestamp with time zone|0s</DataType>
      <StateNumber>1047</StateNumber>
      <TypeId>1184</TypeId>
    </column>
    <column id="71" parent="39" name="end_cooking_time">
      <Position>6</Position>
      <DataType>timestamp with time zone|0s</DataType>
      <StateNumber>1048</StateNumber>
      <TypeId>1184</TypeId>
    </column>
    <column id="72" parent="39" name="to_client_time">
      <Position>7</Position>
      <DataType>timestamp with time zone|0s</DataType>
      <StateNumber>1049</StateNumber>
      <TypeId>1184</TypeId>
    </column>
    <column id="73" parent="39" name="status">
      <Position>8</Position>
      <DataType>varchar|0s</DataType>
      <StateNumber>1050</StateNumber>
      <TypeId>1043</TypeId>
    </column>
    <column id="74" parent="39" name="done">
      <Position>9</Position>
      <DataType>boolean|0s</DataType>
      <NotNull>1</NotNull>
      <StateNumber>1094</StateNumber>
      <DefaultExpression>false</DefaultExpression>
      <TypeId>16</TypeId>
    </column>
    <column id="75" parent="39" name="dishes">
      <Position>10</Position>
      <DataType>integer[]|0s</DataType>
      <StateNumber>1073</StateNumber>
      <TypeId>1007</TypeId>
    </column>
    <column id="76" parent="39" name="cook_id">
      <Position>11</Position>
      <DataType>integer|0s</DataType>
      <StateNumber>1103</StateNumber>
      <DefaultExpression>&apos;-1&apos;::integer</DefaultExpression>
      <TypeId>23</TypeId>
    </column>
    <index id="77" parent="39" name="orders_id_uindex">
      <ObjectId>24716</ObjectId>
      <StateNumber>1006</StateNumber>
      <ColNames>id</ColNames>
      <Unique>1</Unique>
    </index>
    <index id="78" parent="39" name="orders_pk">
      <ObjectId>24717</ObjectId>
      <StateNumber>1007</StateNumber>
      <ColNames>id</ColNames>
      <Unique>1</Unique>
      <Primary>1</Primary>
    </index>
    <key id="79" parent="39" name="orders_pk">
      <ObjectId>24718</ObjectId>
      <StateNumber>1007</StateNumber>
      <ColNames>id</ColNames>
      <Primary>1</Primary>
      <UnderlyingIndexName>orders_pk</UnderlyingIndexName>
    </key>
  </database-model>
</dataSource>